---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.130.0.57
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: openshift-kube-scheduler-operator-6777899955-kfr99
      namespace: openshift-kube-scheduler-operator
      uid: ed485e5a-7924-4c2c-96a1-3bc686331eb3
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:28:06Z"
    creationTimestamp: "2025-10-27T11:18:24Z"
    generateName: metrics-
    generation: 7
    labels:
      app: openshift-kube-scheduler-operator
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"d3e501af-2a28-48f5-932e-a3f73ae2faf4"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:28:06Z"
    name: metrics-5cggs
    namespace: openshift-kube-scheduler-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: metrics
      uid: d3e501af-2a28-48f5-932e-a3f73ae2faf4
    resourceVersion: "45451"
    uid: 468a1f8d-b5da-447e-8675-ecbfa15f558d
  ports:
  - name: https
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2220246"
